Domains by TS
curl --request GET \
--url https://app.onefirewall.com/api/v1/domains \
--header 'Authorization: <api-key>'import requests
url = "https://app.onefirewall.com/api/v1/domains"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.onefirewall.com/api/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"type": "Domain",
"version": 4,
"ts": 1693519200,
"next_ts": 1693526758,
"page_size": 100,
"user": {
"guid": "OFA-GUID-DSDG-FDFG-XJDO",
"name": "Name",
"surname": "Surname",
"username": "[email protected]",
"role": 0,
"unsuccessful_login": 0,
"member_of": {
"gid": "OFA-GID-sdgdfgdfd",
"name": "Org1",
"trust": 0.85,
"delay": "0",
"credit_tokens": 2000000000,
"debit_tokens": 1888975
}
}
},
"body": [
{
"domain": "ukfoyr.com",
"score": 88,
"ts": 1693526732,
"total_reports": 1,
"total_members": 1,
"tags": [
"CTA",
"OneFirewall"
],
"elk_ts": "2023-09-01T00:05:32.000Z",
"elk_entry_ts": "2023-09-01T00:05:32.000Z",
"entry_ts": 1693526732
},
{
"domain": "vewuio.com",
"score": 88,
"ts": 1693526732,
"total_reports": 1,
"total_members": 1,
"tags": [
"CTA",
"OneFirewall"
],
"elk_ts": "2023-09-01T00:05:32.000Z",
"elk_entry_ts": "2023-09-01T00:05:32.000Z",
"entry_ts": 1693526732
}
]
}Domain Feeds
Domains by TS
Retrieve the latest malicious domains recorded
GET
/
domains
Domains by TS
Updated API documentation with live interaction is now available in the product dashboard under API Docs.
Authorizations
Authorization Token
Query Parameters
Latest updates starting from this timestamp
Maximum size to return
Required range:
100 < x < 2000Response
200 - application/json
The request was received and processed successfully
The response is of type string.
⌘I

